Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Use the latest theme version in the default builder #4096

Merged
merged 3 commits into from May 18, 2018

Conversation

@davidfischer
Copy link
Contributor

@davidfischer davidfischer commented May 15, 2018

This will use the latest theme across the whole site unless people are pinned to a specific version. I believe this is sufficiently stable to roll out to a wider audience. While 0.3.0 had a number of issues, the biggest complaint we are seeing in 0.3.1 is the lack of highlighting (surprising since that never worked from the dawn of history until a week ago).

https://sphinx-rtd-theme.readthedocs.io/en/latest/changelog.html#v0-3-1

Fixes #4072
Fixes #4050

@@ -245,7 +245,7 @@ def install_core_requirements(self):
positive='sphinx<2',
negative='sphinx==1.7.4',
),
'sphinx-rtd-theme<0.3',
'sphinx-rtd-theme==0.3.1',
Copy link
Member

@ericholscher ericholscher May 18, 2018

This should not be pinned to a specific version, so we can release & ship new versions. It should likely bump to <0.4.

@ericholscher
Copy link
Member

@ericholscher ericholscher commented May 18, 2018

Looks good.

@ericholscher ericholscher merged commit 4acca75 into readthedocs:master May 18, 2018
1 check passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Linked issues

Successfully merging this pull request may close these issues.

None yet

2 participants